< Back to Support Home

Q: What are the Minimum System Requirements

A:

Compatible for:

 

 

Mac OSX

 

  • Mac OS 10.9 or newer
  • Intel processor
  • PS plug-in: Photoshop CS5, CS6 or Creative Cloud
  • Photoshop Elements 12 or newer
  • LR plug-in: Lightroom 3 or newer
  • 4 GB RAM or more 
  • OpenGL v2.0 or newer
 
 
 
 

 Windows

  • Windows 7, 8, or 10 (64-bit only)
  • PS plug-in: Photoshop CS5, CS6 or Creative Cloud
  • Photoshop Elements 13 or newer.
  • LR plug-in: Lightroom 4 or newer
  • Corel PaintShop Pro X5, X6, X7, X8, or X9
  • 4 GB RAM or more
  • OpenGL v2.0 or newer

Do you have more questions?

Our expert support team is ready to help.

Sign up for news, discounts, freebies, and other good stuff!
No Thanks